Father Chrysostomos

NAME

WWW::Scripter::Plugin::JavaScript::SpiderMonkey - SpiderMonkey backend for wspjs

VERSION

0.003 (alpha)

SYNOPSIS

  use WWW::Scripter;
  
  my $w = new WWW::Scripter;
  $w->use_plugin('JavaScript', engine => 'SpiderMonkey');
  
  $w->get("http://...");
  # etc.

DESCRIPTION

This little module is a bit of duct tape to connect the JavaScript plugin for WWW::Scripter to the SpiderMonkey JavaScript engine via JavaScript.pm. Don't use this module directly. For usage, see WWW::Scripter::Plugin::JavaScript.

BUGS

There are too many to list! This thing is currently very unstable, to put it mildly.

If you find any bugs, please report them via http://rt.cpan.org/ or bug-WWW-Scripter-Plugin-JavaScript-SpiderMonkey@rt.cpan.org (long e-mail address, isn't it?).

SINE QUIBUS NON

perl 5.8.3 or higher (5.8.6 or higher recommended)

HTML::DOM 0.008 or later

JavaScript.pm 1.12 or later

Hash::Util::FieldHash::Compat

constant::lexical

AUTHOR & COPYRIGHT

Copyright (C) 2010-11, Father Chrysostomos (org.cpan@sprout backwards)

This program is free software; you may redistribute it, modify it or both under the same terms as perl.

SEE ALSO

-

WWW::Scripter::Plugin::JavaScript

-

JavaScript.pm

1 POD Error

The following errors were encountered while parsing the POD:

Around line 562:

=over without closing =back




Hosting generously
sponsored by Bytemark